package com.bonus.core.device.manage.vo;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.core.device.manage.model.DeviceLockerCabinet;
import io.swagger.annotations.ApiModelProperty;

public class DeviceLockerCabinetVO {
   @ApiModelProperty("主键")
   private Long cabinetId;
   @ApiModelProperty("设备id 设备id")
   private Long deviceId;
   @ApiModelProperty("取餐柜柜橱编号（1号柜、2号柜）")
   private Integer cabinetNum;
   @ApiModelProperty("取餐柜柜门数量")
   private Integer lockerCount;

   public static DeviceLockerCabinetVO of(DeviceLockerCabinet deviceLockerCabinet) {
      DeviceLockerCabinetVO vo = new DeviceLockerCabinetVO();
      BeanUtil.copyProperties(deviceLockerCabinet, vo, new String[0]);
      return vo;
   }

   public Long getCabinetId() {
      return this.cabinetId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Integer getCabinetNum() {
      return this.cabinetNum;
   }

   public Integer getLockerCount() {
      return this.lockerCount;
   }

   public void setCabinetId(final Long cabinetId) {
      this.cabinetId = cabinetId;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setCabinetNum(final Integer cabinetNum) {
      this.cabinetNum = cabinetNum;
   }

   public void setLockerCount(final Integer lockerCount) {
      this.lockerCount = lockerCount;
   }
}
